Loading...
Searching...
No Matches
auth_xor_2g.c File Reference
`#include <string.h>`
`#include <stdint.h>`
`#include <errno.h>`
`#include <osmocom/crypt/auth.h>`

## Functions

static void | xor (uint8_t *out, const uint8_t *a, const uint8_t *b, size_t len)
static int | xor2g_gen_vec (struct osmo_auth_vector *vec, struct osmo_sub_auth_data2 *aud, const uint8_t *_rand)
static | __attribute__ ((constructor))

## Variables

static struct osmo_auth_impl | xor2g_alg

## Function Documentation

## __attribute__()

static __attribute__ | ( | (constructor) |  | ) |

static

References __attribute__, osmo_auth_register(), and xor2g_alg.

## xor()

static void xor | ( | uint8_t * | out,
|  | const uint8_t * | a,
|  | const uint8_t * | b,
|  | size_t | len
| ) |  |

static

References len.

Referenced by xor2g_gen_vec().